Bug 41471 - (Neomagic) hangs my Dell laptop when scrolling
(Neomagic) hangs my Dell laptop when scrolling
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-20 18:48 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-28 16:26:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -v (2.81 KB, text/plain)
2001-08-28 16:22 EDT, Need Real Name
no flags Details
Dump of lspci -vn (2.25 KB, text/plain)
2001-08-28 16:26 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-20 18:48:36 EDT
Description of Problem:

XFree86 4 hangs the screen of my Dell laptop when scrolling text, the mouse still works but I cannot type or interact with programs, but the machine is still alive and I can reboot it ssh'ing. I reproduced this behaviour several times, using kernel 2.2 and 2.4.

How Reproducible:

Every time

Steps to Reproduce:

1.Load X using XFree86 4 with Dell Inspiron 3500/Neomagic card

2.Open KMail (or KNode)

3.Quickly scroll a large list of messages

Actual Results:

The machine is alive, and its programs, but the screen is hanged. The mouse still moves but I cannot interact with X programs clicking or typing, nor I cannot restart X. I must shutdown the machine.

Expected Results:

Well, X shouldnt crash doing a simple scroll :-)

Additional Information:

I'm using Neomagic video card with XFree 4.0. With XFree 3.x I havent experienced any problem in the past. This problem arised when I updated to RH 7.1
Comment 1 Mike A. Harris 2001-05-20 19:26:40 EDT
Try adding Option "noaccel" to your X configuration.
DOes that fix it?
Comment 2 Need Real Name 2001-05-21 14:49:45 EDT
Thanks! Now the X doesnt hang up, but the scrolling is sloooow.

Should I downgrade to XFree 3.x? If so, are there packages for RH 7.1?
Comment 3 Mike A. Harris 2001-08-28 12:57:48 EDT
Xconfigurator --preferxf3 will use XFree86 3.3.6 in 7.1
You need to make sure you have the 3.3.6 server package installed
for your card from the 7.1 CDROM, etc.. first though.

Also, just a side note, your bug report has a lot of extra space in
it that makes it hard to read.
Comment 4 Need Real Name 2001-08-28 13:10:46 EDT
Sorry for the spaces. I have resolved my problem with
the XFree 4.1 packages available on the RawHide. In
the README of this release it says you should add
this lines to the /etc/X11/XFree86-4:

Option "XaaNoScanlineImageWriteRect"
Option "XaaNoScanlineCPUToScreenColorExpandFill"
Comment 5 Mike A. Harris 2001-08-28 14:54:57 EDT
Ok, can you please attach the output of "lspci -v" and also "lspci -vn" to
the report so I can fix this so it works by default?

Comment 6 Need Real Name 2001-08-28 16:22:47 EDT
Created attachment 29954 [details]
lspci -v
Comment 7 Need Real Name 2001-08-28 16:26:21 EDT
Created attachment 29955 [details]
Dump of lspci -vn
Comment 8 Mike A. Harris 2002-02-09 03:50:37 EST
Options added to default hardware configuration tables.

Comment 9 Mike A. Harris 2002-11-23 22:26:01 EST
I am removing these options from the hardware database for 2 purposes:

1) To test and see if the bugs are fixed
2) To implement an alternate more robust solution if it is not fixed yet,
   by either fixing it, getting someone to fix it, or disabling the code
   directly in the driver source.  This way nobody can enable the broken
   code, and upgrades also work from distro to distro without relying on
   whatever a user has in their config file before upgrade.

Please test the current CVS XFree86 driver if at all possible,
and remove or comment out all swcursor options, and "XaaNoxxxxxx" options
as well as noaccel et al.
If a problem occurs, please open a new bug report against rawhide, and
perhaps point out this bug as reference also.

Just attempting to clean up some of the prior dirty bandaids with cleaner


Note You need to log in before you can comment on or make changes to this bug.